import { OnInit, Type } from '@angular/core';
import { Observable } from 'rxjs';
import { SpinnerVisibilityService } from '../services/spinner-visibility.service';
import { PendingRequestsInterceptorConfigurer } from "../services/pending-requests-interceptor-configurer.service";
import * as i0 from "@angular/core";
export declare class NgHttpLoaderComponent implements OnInit {
    private pendingRequestsInterceptorConfigurer;
    private spinnerVisibility;
    spinkit: {
        skChasingDots: string;
        skCubeGrid: string;
        skDoubleBounce: string;
        skRotatingPlane: string;
        skSpinnerPulse: string;
        skThreeBounce: string;
        skWanderingCubes: string;
        skWave: string;
    };
    isVisible$: Observable<boolean>;
    visibleUntil: number;
    backdrop: import("@angular/core").ModelSignal<boolean>;
    backgroundColor: import("@angular/core").ModelSignal<string | undefined>;
    debounceDelay: import("@angular/core").ModelSignal<number>;
    entryComponent: import("@angular/core").ModelSignal<Type<unknown> | null>;
    extraDuration: import("@angular/core").ModelSignal<number>;
    filteredHeaders: import("@angular/core").ModelSignal<string[]>;
    filteredMethods: import("@angular/core").ModelSignal<string[]>;
    filteredUrlPatterns: import("@angular/core").ModelSignal<string[]>;
    minDuration: import("@angular/core").ModelSignal<number>;
    opacity: import("@angular/core").ModelSignal<string>;
    backdropBackgroundColor: import("@angular/core").ModelSignal<string>;
    spinner: import("@angular/core").ModelSignal<string | null>;
    constructor(pendingRequestsInterceptorConfigurer: PendingRequestsInterceptorConfigurer, spinnerVisibility: SpinnerVisibilityService);
    ngOnInit(): void;
    private initIsvisibleObservable;
    private nullifySpinnerIfEntryComponentIsDefined;
    private initFilters;
    private initFilteredUrlPatterns;
    private initFilteredMethods;
    private initFilteredHeaders;
    private updateExpirationDelay;
    private getVisibilityTimer$;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgHttpLoaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgHttpLoaderComponent, "ng-http-loader", never, { "backdrop": { "alias": "backdrop"; "required": false; "isSignal": true; }; "backgroundColor": { "alias": "backgroundColor"; "required": false; "isSignal": true; }; "debounceDelay": { "alias": "debounceDelay"; "required": false; "isSignal": true; }; "entryComponent": { "alias": "entryComponent"; "required": false; "isSignal": true; }; "extraDuration": { "alias": "extraDuration"; "required": false; "isSignal": true; }; "filteredHeaders": { "alias": "filteredHeaders"; "required": false; "isSignal": true; }; "filteredMethods": { "alias": "filteredMethods"; "required": false; "isSignal": true; }; "filteredUrlPatterns": { "alias": "filteredUrlPatterns"; "required": false; "isSignal": true; }; "minDuration": { "alias": "minDuration"; "required": false; "isSignal": true; }; "opacity": { "alias": "opacity"; "required": false; "isSignal": true; }; "backdropBackgroundColor": { "alias": "backdropBackgroundColor"; "required": false; "isSignal": true; }; "spinner": { "alias": "spinner"; "required": false; "isSignal": true; }; }, { "backdrop": "backdropChange"; "backgroundColor": "backgroundColorChange"; "debounceDelay": "debounceDelayChange"; "entryComponent": "entryComponentChange"; "extraDuration": "extraDurationChange"; "filteredHeaders": "filteredHeadersChange"; "filteredMethods": "filteredMethodsChange"; "filteredUrlPatterns": "filteredUrlPatternsChange"; "minDuration": "minDurationChange"; "opacity": "opacityChange"; "backdropBackgroundColor": "backdropBackgroundColorChange"; "spinner": "spinnerChange"; }, never, never, true, never>;
}
